Subject: TCP connections

From: [email-masked]
Date: Wed, 14 Jul 93 13:00:54 EDT

I'm no TCP expert, but I believe the standard definition of a TCP "connec-
tion" is that it is an association between two (IP addr, port) pairs.
Between two 6611s today doing DLSw you then have two connections, each of
which is being used to send in only one direction:

    WAN read (port 2065)  | <------<------< |  WAN write (port 2067)
                          |                 |
    WAN write (port 2067) | >------>------> |  WAN read (port 2065)
                          |                 |
                      IP addr "A"       IP addr "B"

The implementation was done this way mainly so either end could
initiate a connection and only one of the two routers needed to have
information about the other.  The capabilities exchange siglet may
want to define some negotiations for dropping one of the connections
after the routers contact each other.  Gene Cox may have more to add
to this on one of the other mailing lists.

I didn't intend to say that my definitions were an explanation of what's
in the RFC.  I just wanted some common terms for discussing different
possible levels of flow control without getting into the above
discussion.  Sorry if I created confusion.

Peter Gayek